## org.eclipse.datatools.connectivity.oda.design.util
Class DesignXMLProcessor

    java.lang.Object
      org.eclipse.emf.ecore.xmi.util.XMLProcessor
          org.eclipse.datatools.connectivity.oda.design.util.DesignXMLProcessor

    public class DesignXMLProcessor

extends org.eclipse.emf.ecore.xmi.util.XMLProcessor

This class contains helper methods to serialize and deserialize XML documents

Field Summary
`static java.lang.String` `copyright`

Constructor Summary
`DesignXMLProcessor()` Public constructor to instantiate the helper.

Method Summary
`org.eclipse.emf.ecore.resource.Resource` `createResource(org.eclipse.emf.common.util.URI uri)` Creates and returns a new resource for saving or loading an ODA Design object.

Methods inherited from class org.eclipse.emf.ecore.xmi.util.XMLProcessor
`getEPackageRegistry, getExtendedMetaData, load, load, load, load, save, save, save, saveToString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Constructor Detail

### DesignXMLProcessor

    public DesignXMLProcessor()

  Public constructor to instantiate the helper.

Method Detail

### createResource

    public org.eclipse.emf.ecore.resource.Resource createResource(org.eclipse.emf.common.util.URI uri)

  Creates and returns a new resource for saving or loading an ODA Design object.

  Parameters:
    `uri` - the URI of the resource to create
  Returns:
    a new resource
  Since:
    DTP 1.6